package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ptyrat;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface PtyratMapper {

    int insert(Ptyrat record);

    int insertSelective(Ptyrat record);

    int updateByPrimaryKeySelective(Ptyrat record);

    int updateByPrimaryKey(Ptyrat record);

    int deleteByPrimaryKey(Ptyrat record);

    int deleteByIds(Collection<Object> collection);

    Ptyrat selectByPrimaryKey(Ptyrat record);

    List<Ptyrat> selectByPtyInr(String ptyInr);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ptyrat> dyncRead(Map<String, Object> dyncMap);

    Ptyrat getPtyratByPtyinrAndCur(@Param("ptyinr") String ptyinr, @Param("cur") String cur);

    List<Ptyrat> getByPtyinr(String ptyinr);

    Ptyrat queryById(String inr);

    int insertPtyrat(Ptyrat ptyrat);

    int updatePtyrat(Ptyrat ptyrat);

    int deleteById(String inr);

    int selectUnique(@Param("cur") String cur, @Param("ptyinr") String ptyinr);

}